path: /build/build/qtchooser-dev-qt-66.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-test" emerge dev-qt/qtchooser -pv -t && \
    USE="-test" emerge -j ${JOBS} --nodeps dev-qt/qtchooser
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/qtchooser && luet-portage --dir /pkgdir/qtchooser
    dev-qt/qtchooser && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:955ddb6622a3ccf5768f82e0dbabf6d1386cdcfce9b70f926ccb5adc85b61d90
  package:
    name: qtchooser
    version: "66"
    category: dev-qt
    use_flags:
    - -test
    requires:
    - name: macaroni-funtoo-race9
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Tool to quickly switch between multiple Qt installations
    uri:
    - https://code.qt.io/cgit/qtsdk/qtchooser.git/
    license: '|| ( LGPL-2.1 GPL-3 )'
    buildtimestamp: 2023-08-26 10:10:10.009874237 +0000 UTC m=+66.934640172
    labels:
      DEPEND: test? ( dev-qt/qtcore:5 dev-qt/qttest:5 )
      IUSE: test
      RDEPEND: '!<dev-qt/qtcore-5.15.2-r10:5'
      emerge.packages: dev-qt/qtchooser
      kit: qt-kit
      original.package.name: dev-qt/qtchooser
      original.package.slot: "0"
      original.package.version: 66-r1
    treedir: /build/packages
  package_dir: /pkgdir/qtchooser
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: d14d541fa5e16e5f627875c33e2c9d69c643b3574ffc1008c58cc6c1e0e4b720
compressiontype: zstd
files:
- etc/xdg/qtchooser/5.conf
- etc/xdg/qtchooser/default.conf
- etc/xdg/qtchooser/qt5-x86_64-pc-linux-gnu.conf
- etc/xdg/qtchooser/qt5.conf
- usr/bin/assistant
- usr/bin/designer
- usr/bin/lconvert
- usr/bin/linguist
- usr/bin/lrelease
- usr/bin/lupdate
- usr/bin/moc
- usr/bin/pixeltool
- usr/bin/qcollectiongenerator
- usr/bin/qdbus
- usr/bin/qdbuscpp2xml
- usr/bin/qdbusviewer
- usr/bin/qdbusxml2cpp
- usr/bin/qdoc
- usr/bin/qdoc3
- usr/bin/qgltf
- usr/bin/qhelpconverter
- usr/bin/qhelpgenerator
- usr/bin/qlalr
- usr/bin/qmake
- usr/bin/qml
- usr/bin/qml1plugindump
- usr/bin/qmlbundle
- usr/bin/qmlcachegen
- usr/bin/qmleasing
- usr/bin/qmlimportscanner
- usr/bin/qmljs
- usr/bin/qmllint
- usr/bin/qmlmin
- usr/bin/qmlplugindump
- usr/bin/qmlprofiler
- usr/bin/qmlscene
- usr/bin/qmltestrunner
- usr/bin/qmlviewer
- usr/bin/qtattributionsscanner
- usr/bin/qtchooser
- usr/bin/qtconfig
- usr/bin/qtdiag
- usr/bin/qtpaths
- usr/bin/qtplugininfo
- usr/bin/qvkgen
- usr/bin/rcc
- usr/bin/repc
- usr/bin/uic
- usr/bin/uic3
- usr/bin/xmlpatterns
- usr/bin/xmlpatternsvalidator
- usr/share/man/man1/qtchooser.1.bz2
- var/db/pkg/dev-qt/qtchooser-66-r1/BUILD_TIME
- var/db/pkg/dev-qt/qtchooser-66-r1/CATEGORY
- var/db/pkg/dev-qt/qtchooser-66-r1/CBUILD
- var/db/pkg/dev-qt/qtchooser-66-r1/CFLAGS
- var/db/pkg/dev-qt/qtchooser-66-r1/CHOST
- var/db/pkg/dev-qt/qtchooser-66-r1/CONTENTS
- var/db/pkg/dev-qt/qtchooser-66-r1/COUNTER
- var/db/pkg/dev-qt/qtchooser-66-r1/CXXFLAGS
- var/db/pkg/dev-qt/qtchooser-66-r1/DEFINED_PHASES
- var/db/pkg/dev-qt/qtchooser-66-r1/DESCRIPTION
- var/db/pkg/dev-qt/qtchooser-66-r1/EAPI
- var/db/pkg/dev-qt/qtchooser-66-r1/FEATURES
- var/db/pkg/dev-qt/qtchooser-66-r1/HOMEPAGE
- var/db/pkg/dev-qt/qtchooser-66-r1/INHERITED
- var/db/pkg/dev-qt/qtchooser-66-r1/IUSE
- var/db/pkg/dev-qt/qtchooser-66-r1/IUSE_EFFECTIVE
- var/db/pkg/dev-qt/qtchooser-66-r1/KEYWORDS
- var/db/pkg/dev-qt/qtchooser-66-r1/LDFLAGS
- var/db/pkg/dev-qt/qtchooser-66-r1/LICENSE
- var/db/pkg/dev-qt/qtchooser-66-r1/NEEDED
- var/db/pkg/dev-qt/qtchooser-66-r1/PF
- var/db/pkg/dev-qt/qtchooser-66-r1/RDEPEND
- var/db/pkg/dev-qt/qtchooser-66-r1/REQUIRES
- var/db/pkg/dev-qt/qtchooser-66-r1/RESTRICT
- var/db/pkg/dev-qt/qtchooser-66-r1/SIZE
- var/db/pkg/dev-qt/qtchooser-66-r1/SLOT
- var/db/pkg/dev-qt/qtchooser-66-r1/USE
- var/db/pkg/dev-qt/qtchooser-66-r1/environment.bz2
- var/db/pkg/dev-qt/qtchooser-66-r1/qtchooser-66-r1.ebuild
- var/db/pkg/dev-qt/qtchooser-66-r1/repository
package_cacheimage: ""
runtime:
  name: qtchooser
  version: "66"
  category: dev-qt
  use_flags:
  - -test
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Tool to quickly switch between multiple Qt installations
  uri:
  - https://code.qt.io/cgit/qtsdk/qtchooser.git/
  license: '|| ( LGPL-2.1 GPL-3 )'
  labels:
    DEPEND: test? ( dev-qt/qtcore:5 dev-qt/qttest:5 )
    IUSE: test
    RDEPEND: '!<dev-qt/qtcore-5.15.2-r10:5'
    emerge.packages: dev-qt/qtchooser
    kit: qt-kit
    original.package.name: dev-qt/qtchooser
    original.package.slot: "0"
    original.package.version: 66-r1
